Returns a Recipe Contents tree.
Use this method if you want to get a Recipe Contents tree. Permissions: All users.
Path Parameters
- Type: stringFormat: uuidrecipe
Item Id requiredMandatory identifier, used to specify a Recipe.
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Responses
Request Example for get/v2/Items/{recipeItemId}/RecipeContents
curl /v2/Items/C895A81E-0C20-42C0-B2DC-EAF43F9447BD/RecipeContents \
--header 'DCKey: YOUR_SECRET_TOKEN'
[
{
"ItemID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Hidden": true,
"VisibleStartDate": null,
"VisibleEndDate": null,
"ItemQuantity": 0.0001,
"MeasureID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"ID": 1,
"ParentID": null,
"RecipeItemID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"ItemDescription": null,
"Type": "string",
"MeasureDescription": null,
"ConversionFactor": 1,
"CostingMeasureCost": 1,
"Yield": 1,
"GroupLevel": 1,
"IsInvalid": true
}
]